<template>
	<div class="column">
		<div class="row" v-for="(skill, index) in skills" :key="index">
			<div class="col-12 font-monstserrat-bold text-subtitle1">
				{{ skill.name.name }}
			</div>
			<span class="text-grey-9 text-subtitle2">
				{{ skill.description.effect }}
			</span>
		</div>
	</div>
</template>

<script>
	import axios from "axios";
	import primaryTitle from "../typography/primary-title.vue";
	export default {
		components: { primaryTitle },
		props: {
			abilities: {
				type: Array,
				default: () => [],
			},
		},

		data: () => ({
			skills: [],
		}),

		async mounted() {
			this.abilities.map(async (ability) => {
				const abilityRes = await axios.get(ability.ability.url);

				// filter by en language
				let skill = {
					name: abilityRes.data.names.find((lang) => lang.language.name === "en"),
					description: abilityRes.data.effect_entries.find(
						(description) => description.language.name === "en"
					),
				};

				this.skills = [...this.skills, skill];
			});
		},
	};
</script>

<style>
</style>